Debian Bug report logs - #598923
zfs-fuse: FTBFS: error: #error One of _BIT_FIELDS_LTOH or _BIT_FIELDS_HTOL must be defined

version graph

Package: src:zfs-fuse; Maintainer for src:zfs-fuse is Asias He <asias@debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 3 Oct 2010 09:21:02 UTC

Severity: important

Found in version zfs-fuse/0.6.9-1

Fixed in version zfs-fuse/0.7.0-4

Done: Asias He <asias.hejun@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Sebastien Delafond <seb@debian.org>:
Bug#598923; Package src:zfs-fuse. (Sun, 03 Oct 2010 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Sebastien Delafond <seb@debian.org>. (Sun, 03 Oct 2010 09:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: zfs-fuse: FTBFS: error: #error One of _BIT_FIELDS_LTOH or _BIT_FIELDS_HTOL must be defined
Date: Sun, 03 Oct 2010 11:15:56 +0200
Source: zfs-fuse
Version: 0.6.9-1
Severity: important

Hi,

your package FTBFS on several architectures with:
| scons: Building targets ...
| gcc -o cmd/stat/common/timestamp.o -c -pipe -Wall -std=c99 -Wno-switch -Wno-unused -Wno-missing-braces -Wno-parentheses -Wno-uninitialized -fno-strict-aliasing -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_REENTRANT -DTEXT_DOMAIN=\"zfs-fuse\" -ffunction-sections -fdata-sections -ggdb -O2 -DNDEBUG -DLINUX_AIO -Ilib/libuutil/include -Ilib/libnvpair/include -Ilib/libumem/include -Ilib/libzfscommon/include -Ilib/libzfs/include -Ilib/libsolcompat/include -Ilib/libavl/include -Icmd/stat/common cmd/stat/common/timestamp.c
| In file included from lib/libsolcompat/include/sys/types.h:30,
|                  from /usr/include/stdlib.h:320,
|                  from lib/libsolcompat/include/sys/time.h:33,
|                  from cmd/stat/common/statcommon.h:38,
|                  from cmd/stat/common/timestamp.c:26:
| lib/libsolcompat/include/sys/isa_defs.h:544:2: error: #error "ISA not supported"
| In file included from /usr/include/sys/types.h:223,
|                  from lib/libsolcompat/include/sys/types.h:32,
|                  from /usr/include/stdlib.h:320,
|                  from lib/libsolcompat/include/sys/time.h:33,
|                  from cmd/stat/common/statcommon.h:38,
|                  from cmd/stat/common/timestamp.c:26:
| lib/libsolcompat/include/sys/sysmacros.h:364:2: error: #error One of _BIT_FIELDS_LTOH or _BIT_FIELDS_HTOL must be defined
| scons: *** [cmd/stat/common/timestamp.o] Error 1
| scons: building terminated because of errors.
| make[1]: *** [override_dh_auto_build] Error 2

That includes: armel, hppa, ia64, mipsel, s390.

Full build logs:
  https://buildd.debian.org/status/package.php?p=zfs-fuse

Mraw,
KiBi.




Reply sent to Asias He <asias.hejun@gmail.com>:
You have taken responsibility. (Fri, 13 Jan 2012 06:21:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Fri, 13 Jan 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 598923-close@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: 598923-close@bugs.debian.org
Subject: Bug#598923: fixed in zfs-fuse 0.7.0-4
Date: Fri, 13 Jan 2012 06:17:41 +0000
Source: zfs-fuse
Source-Version: 0.7.0-4

We believe that the bug you reported is fixed in the latest version of
zfs-fuse, which is due to be installed in the Debian FTP archive:

zfs-fuse_0.7.0-4.debian.tar.gz
  to main/z/zfs-fuse/zfs-fuse_0.7.0-4.debian.tar.gz
zfs-fuse_0.7.0-4.dsc
  to main/z/zfs-fuse/zfs-fuse_0.7.0-4.dsc
zfs-fuse_0.7.0-4_i386.deb
  to main/z/zfs-fuse/zfs-fuse_0.7.0-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Asias He <asias.hejun@gmail.com> (supplier of updated zfs-fuse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 13 Jan 2012 10:01:07 +0800
Source: zfs-fuse
Binary: zfs-fuse
Architecture: source i386
Version: 0.7.0-4
Distribution: unstable
Urgency: low
Maintainer: Asias He <asias.hejun@gmail.com>
Changed-By: Asias He <asias.hejun@gmail.com>
Description: 
 zfs-fuse   - ZFS on FUSE
Closes: 598923 650807
Changes: 
 zfs-fuse (0.7.0-4) unstable; urgency=low
 .
   * Fix "FTBFS on sparc: undefined reference to `ec_atomic_cas'"
     (Closes: #650807)
   * Fix "FTBFS: error: #error One of _BIT_FIELDS_LTOH or
     _BIT_FIELDS_HTOL must be defined" (Closes: #598923)
Checksums-Sha1: 
 6819659c398c261b5067efd085be5f5f48630c87 1958 zfs-fuse_0.7.0-4.dsc
 5f82c0c7c76a3d23ad6a1620c546c97dd793dcc8 19152 zfs-fuse_0.7.0-4.debian.tar.gz
 1f149b28b9d6f607ea2d3d6bc22c8d43d61ce2b9 1360286 zfs-fuse_0.7.0-4_i386.deb
Checksums-Sha256: 
 14c1d8a04a5efd645f0cb432939d0d2d4cabdaa67412f5018d1e1412d3a0ba59 1958 zfs-fuse_0.7.0-4.dsc
 36df7daa5bdf04961aba989a637eb7b92b31fd0c29f1b255bb06ee531d7285c6 19152 zfs-fuse_0.7.0-4.debian.tar.gz
 b4f5c768b8b0dafe72eee00e5e9a07b08908a4c7f22930f59884140e5707bd6a 1360286 zfs-fuse_0.7.0-4_i386.deb
Files: 
 35c178749aa52debc2c470ba7fff91cc 1958 otherosfs optional zfs-fuse_0.7.0-4.dsc
 75fd6ee25ba94770fa0f608399590eef 19152 otherosfs optional zfs-fuse_0.7.0-4.debian.tar.gz
 9c990083bbeaef5f2e3d73b59e729730 1360286 otherosfs optional zfs-fuse_0.7.0-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPD8hgAAoJEK7JmSstf/GAQLoP/3bwupvVdIAvAM0a63p7zncm
3UD2L4z+QZnZhwpxRNSZ/37I4Er369q+whoru1yJP7VLB8r+3SL3rIgD/5Chb2fj
ughyMzdYl2TJ51lPGCEA/4oePNt6ibCj7cKJu9sDiI4k3jhTUDff/lY0dkuJCKi4
MwB60KTfkrR4LhHfVVUsA7w1Uv3hBI1Rnqfq/GuAuWXncyoh/bp77BL0qql0BQMH
c/qyJV9LVaDmVSVLz1LxL49++yotxiN49L5vKBYaowSHNaxe/YwbxQmzzDHDdek+
394TWd4qv2ej34cX+Zyo0Q6k5HLsgekQ90gwRT0ZCCuVJNQniJhtNdWSyhIGFGko
E1AmOvSGfkXfJjBU5eZ/NNqqbUUgNagKtQUK3Af3vVlS/zEBBS+9uaQHKJf6xrbZ
Aa6MlZd0yNqg8GBu5DIJPOFDS1CufRvqspP6QrHS+H4vhpz5liiVhuKv9AkJLFQp
2Rr4/2X6rLy5jKeBi6tZvHpxYja31tM4mpgMN0AumeorOyTEmRE4h7MlsrTC0WW7
fLT6yThs6BpoK4md9gIe7g1Oln7GxfSWJN52LV2CQq4zQHtM0PhVxd7O/njlxW8l
hkETqJSQUm2NLwFWd0svGAgJDm+jge28eYatla5Dxan9rS5mQQ5Eh3bVi6LlDcDS
9B9K4Ne2mwcyEt9aP4+5
=VsRs
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:34:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:13:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.